Table of Contents

## Name

XtInitialize - initialize

## Syntax

Widget XtInitialize(String shell_name, String application_class,
  XrmOptionDescRec* options, Cardinal num_options, int* argc, char** argv);

## Arguments

Specifies the name of the created shell widget.

Specifies the class name of this application, which usually is the generic name for all instances of this application.

Specifies how to parse the command line for any application-specific resources. The options argument is passed as a parameter to XrmParseCommand. For further information, see Xlib - C Language X Interface.

Specifies the number of entries in the options list.

Specifies a pointer to the number of command line parameters.

Specifies the command line parameters.

## Description

XtInitialize calls XtToolkitInitialize followed by XtOpenDisplay with display_string NULL and application_name NULL, and finally calls XtAppCreateShell with application_name NULL, widget_class applicationShellWidgetClass, and the specified args and num_args and returns the created shell. The semantics of calling XtInitialize more than once are undefined. This routine has been replaced by XtAppInitialize.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also